﻿@model Prep.Models.TestQuestionsSubjects

@{
    ViewBag.Title = "Add Subjects";
}

@{
    Layout = null;
}

<link href="~/Content/AdminPanel.css" rel="stylesheet" />
<title>Add Subjects</title>
<h2>Add Subjects</h2>

<script src="/Scripts/jquery-1.10.2.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.js"></script>
<script src="~/CustomJS/TestSubjects.js"></script>
@if (TempData["Message"] != null)
{
    <script type="text/javascript">
        window.onload = function () {

            alert("@TempData["Message"]");
        };
    </script>
}
@Html.Partial("~/Views/Shared/_AdminMenu.cshtml")

@using (Html.BeginForm("AddSubjects", "Admin", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    <input id="hdnTestSubjectId" type="hidden" value="" name="hiddens" />

    <div class="center">
        <hr />
        @*@Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.TestQuestionsSubjectId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.TestQuestionsSubjectId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.TestQuestionsSubjectId, "", new { @class = "text-danger" })
            </div>
        </div>*@

            
        <div>
            <label>Subject Name</label>
            <div class="col-md-10">
                @Html.EditorFor(model => model.TestQuestionsSubject, new { htmlAttributes = new { @class = "FormInput" } })
                @Html.ValidationMessageFor(model => model.TestQuestionsSubject, "", new { @class = "text-danger" })
            </div>
        </div>
        
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="save-button" onclick="return validateForm()" />
            </div>
        </div>
    </div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}